Summary:	Themes for MATE
Name:		mate-themes
Version:	3.22.15
Release:	%mkrel 1
License:	LGPLv2+
Group:	Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/mate-themes-%version.tar.xz
BuildArch: noarch
BuildRequires:	intltool
BuildRequires:	icon-naming-utils
BuildRequires:	mate-common
Requires:	gtk-engines2
Requires:	mate-icon-theme
Requires:	gtk-murrine-engine

%description
This packages contains Themes for MATE.

%prep
%setup -q

%build
./autogen.sh
%configure2_5x --build=%_host --with-gtk=3.0

%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

for t in ContrastHigh ; do
	touch %{buildroot}%{_iconsdir}/$t/icon-theme.cache
done

%post
for t in ContrastHigh ; do
	touch --no-create %{_iconsdir}/$t &>/dev/null || :
done

%posttrans
for t in ContrastHigh ; do
	gtk-update-icon-cache %{_iconsdir}/$t &>/dev/null || :
done

%postun
if [ $1 -eq 0 ] ; then
	for t in ContrastHigh ; do
		touch --no-create %{_iconsdir}/$t &>/dev/null || :
		gtk-update-icon-cache %{_iconsdir}/$t &>/dev/null || :
	done
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_datadir}/themes
%{_datadir}/icons

%clean
rm -rf %buildroot

%changelog
* Thu Mar 08 2018 bb2 <bb2> - 3.22.15-1pclos2018
- new version

* Wed Jun 21 2017 bb2 <bb2> - 3.22.12-1pclos2017
- new version

* Thu May 18 2017 bb2 <bb2> - 3.22.11-1pclos2017
- new version

* Mon Apr 10 2017 bb2 <bb2> - 3.22.10-1pclos2017
- new version

* Sun Apr 02 2017 bb2 <bb2> - 3.22.8-1pclos2017
- new version

* Fri Jan 27 2017 bb <bb> - 3.22.7-1pclos2017
- update and use actual version

